Search Token
curl --request GET \
--url https://ge-exchange-staging-1.herokuapp.com/v1/api/token/search \
--header 'Authorization: Bearer <token>'{
"status": "success",
"message": "Token gotten successfully",
"data": {
"page": 1,
"pages": 1,
"count": 1,
"total": 1,
"tokens": [
{
"price": {
"buy": 1,
"sell": 1,
"exchange": 10
},
"prev_price": {
"buy": 10,
"sell": 10,
"exchange": 10
},
"min": {
"buy": 0,
"sell": 0
},
"max": {
"buy": 0,
"sell": 0
},
"vol": {
"buy": 0,
"sell": 0
},
"min_trade": {
"buy": 10,
"sell": 10
},
"max_trade": {
"buy": 10,
"sell": 10
},
"type": "Private",
"deal_access": "Private",
"investment_type": "SAFE",
"investment_category": "Commercial Paper",
"payout_frequency": "Monthly",
"raise_amount": 0,
"buy_fee": 2,
"sell_fee": 2,
"carry": 10,
"management_fee": 1,
"valuation": 0,
"discount": 0,
"interest": 0,
"dividend": 0,
"tenor": 0,
"secondaries": true,
"completed_raise": false,
"supply": 5000000000,
"total_supply": 0,
"total_raised": 0,
"exited": false,
"post_raise_valuation": 0,
"milestone": "0",
"total_allocated": 0,
"cancelled": false,
"_id": "659597a28bd0f62d7168c4c8",
"name": "GetEquity NGN Token",
"reference": 222222222,
"image": "https://i.ibb.co/4jDtPr5/Logomark.png",
"symbol": "GNGN",
"creator": "619ff436588c7f01e31a6f81",
"createdAt": "2024-01-03T17:21:38.821Z",
"updatedAt": "2024-01-03T17:21:38.821Z",
"currency": "NGN"
}
]
}
}
Trade
Search Token
Search for tokens based on various criteria
GET
api
/
token
/
search
Search Token
curl --request GET \
--url https://ge-exchange-staging-1.herokuapp.com/v1/api/token/search \
--header 'Authorization: Bearer <token>'{
"status": "success",
"message": "Token gotten successfully",
"data": {
"page": 1,
"pages": 1,
"count": 1,
"total": 1,
"tokens": [
{
"price": {
"buy": 1,
"sell": 1,
"exchange": 10
},
"prev_price": {
"buy": 10,
"sell": 10,
"exchange": 10
},
"min": {
"buy": 0,
"sell": 0
},
"max": {
"buy": 0,
"sell": 0
},
"vol": {
"buy": 0,
"sell": 0
},
"min_trade": {
"buy": 10,
"sell": 10
},
"max_trade": {
"buy": 10,
"sell": 10
},
"type": "Private",
"deal_access": "Private",
"investment_type": "SAFE",
"investment_category": "Commercial Paper",
"payout_frequency": "Monthly",
"raise_amount": 0,
"buy_fee": 2,
"sell_fee": 2,
"carry": 10,
"management_fee": 1,
"valuation": 0,
"discount": 0,
"interest": 0,
"dividend": 0,
"tenor": 0,
"secondaries": true,
"completed_raise": false,
"supply": 5000000000,
"total_supply": 0,
"total_raised": 0,
"exited": false,
"post_raise_valuation": 0,
"milestone": "0",
"total_allocated": 0,
"cancelled": false,
"_id": "659597a28bd0f62d7168c4c8",
"name": "GetEquity NGN Token",
"reference": 222222222,
"image": "https://i.ibb.co/4jDtPr5/Logomark.png",
"symbol": "GNGN",
"creator": "619ff436588c7f01e31a6f81",
"createdAt": "2024-01-03T17:21:38.821Z",
"updatedAt": "2024-01-03T17:21:38.821Z",
"currency": "NGN"
}
]
}
}
The name of the token to search for
The page number to fetch
The number of tokens to fetch per page
The token symbol to search for
Filter by whether the token has exited
Filter by whether the token has completed its raise
Filter for private tokens
The type of investment which must be
safe, equity, debt or fixed interest{
"status": "success",
"message": "Token gotten successfully",
"data": {
"page": 1,
"pages": 1,
"count": 1,
"total": 1,
"tokens": [
{
"price": {
"buy": 1,
"sell": 1,
"exchange": 10
},
"prev_price": {
"buy": 10,
"sell": 10,
"exchange": 10
},
"min": {
"buy": 0,
"sell": 0
},
"max": {
"buy": 0,
"sell": 0
},
"vol": {
"buy": 0,
"sell": 0
},
"min_trade": {
"buy": 10,
"sell": 10
},
"max_trade": {
"buy": 10,
"sell": 10
},
"type": "Private",
"deal_access": "Private",
"investment_type": "SAFE",
"investment_category": "Commercial Paper",
"payout_frequency": "Monthly",
"raise_amount": 0,
"buy_fee": 2,
"sell_fee": 2,
"carry": 10,
"management_fee": 1,
"valuation": 0,
"discount": 0,
"interest": 0,
"dividend": 0,
"tenor": 0,
"secondaries": true,
"completed_raise": false,
"supply": 5000000000,
"total_supply": 0,
"total_raised": 0,
"exited": false,
"post_raise_valuation": 0,
"milestone": "0",
"total_allocated": 0,
"cancelled": false,
"_id": "659597a28bd0f62d7168c4c8",
"name": "GetEquity NGN Token",
"reference": 222222222,
"image": "https://i.ibb.co/4jDtPr5/Logomark.png",
"symbol": "GNGN",
"creator": "619ff436588c7f01e31a6f81",
"createdAt": "2024-01-03T17:21:38.821Z",
"updatedAt": "2024-01-03T17:21:38.821Z",
"currency": "NGN"
}
]
}
}
Was this page helpful?
⌘I
